org.bouncycastle.crypto.prng

## Class SP800SecureRandom

- java.lang.Object
- - java.util.Random
  - - java.security.SecureRandom
    - - org.bouncycastle.crypto.prng.SP800SecureRandom

- All Implemented Interfaces:
    java.io.Serializable

      public class SP800SecureRandom
      extends java.security.SecureRandom

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateSeed(int numBytes)`
    `java.lang.String` | `getAlgorithm()`
    `void` | `nextBytes(byte[] bytes)`
    `void` | `reseed(byte[] additionalInput)` Force a reseed of the DRBG
    `void` | `setSeed(byte[] seed)`
    `void` | `setSeed(long seed)`

    - ### Methods inherited from class java.security.SecureRandom

      `getInstance, getInstance, getInstance, getInstanceStrong, getProvider, getSeed, next`

    - ### Methods inherited from class java.util.Random

      `doubles, doubles, doubles, doubles, ints, ints, ints, ints, longs, longs, longs, longs, nextBoolean, nextDouble, nextFloat, nextGaussian, nextInt, nextInt, nextLong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setSeed

          public void setSeed(byte[] seed)

      Overrides:
        `setSeed` in class `java.security.SecureRandom`

    - #### setSeed

          public void setSeed(long seed)

      Overrides:
        `setSeed` in class `java.security.SecureRandom`

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

      Overrides:
        `getAlgorithm` in class `java.security.SecureRandom`

    - #### nextBytes

          public void nextBytes(byte[] bytes)

      Overrides:
        `nextBytes` in class `java.security.SecureRandom`

    - #### generateSeed

          public byte[] generateSeed(int numBytes)

      Overrides:
        `generateSeed` in class `java.security.SecureRandom`

    - #### reseed

          public void reseed(byte[] additionalInput)

      Force a reseed of the DRBG
      Parameters:
        `additionalInput` - optional additional input